//
//  AMSDKMeetingConfig.h
//  AliMeetingSDK
//
//  Created by xuanzhen.zjw on 2019/8/15.
//  Copyright © 2019 Alibaba. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

//! 会议初始化配置项类型
typedef NSString *AMSDKMeetingConfigKey;

//! 【Required】产品ID，类型NSString
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigClientAppId;

//! 【Required】业务方用户ID，类型NSString
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigUserId;
//! 【Required】设置会议UUID，类型NSString
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigMeetingUUID;
//! 【Required】设置会议 Publisher UUID，类型NSString
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigMemberUUID;
//! 【Required】设置会议Token，类型NSString
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigMeetingToken;
//! 【Required】设置会议域名，类型NSString
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigMeetingDomain;

//! 【Optional】是否使用安全协议，类型BOOL，默认YES
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigSecureTransport;
//! 【Optional】入会时是否静音，类型BOOL，默认NO
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigMuteAudio;
//! 【Optional】入会时是否开启扬声器，类型BOOL，默认YES
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigSpeakerEnabled;
//! 【Optional】入会时是否默认开启本地摄像头，类型BOOL，默认YES
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigCameraOpen;
//! 【Optional】是否支持视频入会，类型BOOL，NO时只接受对端音频，同时AMSDKMeetingConfigCameraOpen设置无效，默认YES
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigSupportVideo;
//! 【Optional】入会时是否开启AecDump，类型BOOL，默认NO
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigAecDumpEnabled;
//! 【Optional】AecDump文件限制，仅开启AecDump时有效，类型NSInteger
extern AMSDKMeetingConfigKey const AMSDKMeetingConfigAecDumpFileLimitSize;

NS_ASSUME_NONNULL_END
